> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark as not people

> Mark a set of accounts on the People Page as "not a person." As a result,
these accounts will not be treated as people in Vanta, and you will not be able to
assign them tasks or use them in tests related to your company's personnel.



## OpenAPI

````yaml /reference/manage-vanta.json post /people/mark-as-not-people
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /people/mark-as-not-people:
    post:
      tags:
        - People
      summary: Mark as not people
      description: >-
        Mark a set of accounts on the People Page as "not a person." As a
        result,

        these accounts will not be treated as people in Vanta, and you will not
        be able to

        assign them tasks or use them in tests related to your company's
        personnel.
      operationId: MarkAsNotPeople
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                updates:
                  items:
                    properties:
                      reason:
                        type: string
                        description: Reason for making this change.
                      id:
                        type: string
                        description: ID of the person to change
                    required:
                      - reason
                      - id
                    type: object
                  type: array
                  description: List of account IDs to mark as not a person
                  minItems: 1
                  maxItems: 100
              required:
                - updates
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkResponse'
              examples:
                Example 1:
                  value:
                    results:
                      - id: 65e1efde08e8478f143a8ff9
                        status: SUCCESS
                      - id: OTHER_USER_ID
                        status: ERROR
                        message: Invalid Input
      security:
        - bearerAuth: []
components:
  schemas:
    BulkResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/UpdateResponse'
          type: array
          description: List of results matching the length and order of the request
      required:
        - results
      type: object
      additionalProperties: false
    UpdateResponse:
      anyOf:
        - $ref: '#/components/schemas/SuccessResponse'
        - $ref: '#/components/schemas/NonSuccessResponse'
    SuccessResponse:
      properties:
        id:
          type: string
          description: Id of the record
        status:
          $ref: '#/components/schemas/ResultLineStatus.SUCCESS'
          description: Status of the requested update
      required:
        - id
        - status
      type: object
      additionalProperties: false
    NonSuccessResponse:
      properties:
        id:
          type: string
          description: Id of the record
        status:
          $ref: '#/components/schemas/Exclude_ResultLineStatus.SUCCESS_'
          description: Status of the requested update
        message:
          type: string
          description: Message an error message
      required:
        - id
        - status
        - message
      type: object
      additionalProperties: false
    ResultLineStatus.SUCCESS:
      enum:
        - SUCCESS
      type: string
    Exclude_ResultLineStatus.SUCCESS_:
      $ref: '#/components/schemas/ResultLineStatus.ERROR'
      description: Exclude from T those types that are assignable to U
    ResultLineStatus.ERROR:
      enum:
        - ERROR
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````